For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
DocsAPI Reference
DocsAPI Reference
  • API Reference
      • GETGet Projects where User is a Collaborator
      • GETGet the current authenticated User

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferenceUsers

Get Projects where User is a Collaborator

GET
https://api.frame.io/v2/projects/shared
GET
/v2/projects/shared
1import requests
2
3url = "https://api.frame.io/v2/projects/shared"
4
5headers = {"Authorization": "Bearer <token>"}
6
7response = requests.get(url, headers=headers)
8
9print(response.json())
1[
2 {
3 "id": "aaaaaaaa-aaaa-aaaa-aaaa-aaaaaaaaaaaa",
4 "name": "My Project",
5 "owner_id": "dddddddd-dddd-dddd-dddd-dddddddddddd",
6 "private": false,
7 "project_preferences": {},
8 "root_asset_id": "cccccccc-cccc-cccc-cccc-cccccccccccc",
9 "team_id": "bbbbbbbb-bbbb-bbbb-bbbb-bbbbbbbbbbbb"
10 }
11]

Fetch all of the Projects that a User has Collaborator access to (not team-member)

Was this page helpful?
Previous

Get the current authenticated User

Next

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

filter[account_id]stringOptionalformat: "uuid"
Filter projects to those belonging to the specified account
filter[archived]booleanOptionalDefaults to false
Filter projects by archival status
filter[name]stringOptional
Filter projects by name
pagedoubleOptional
The current page number in this Paginated Response
page_sizedoubleOptional
Number of pages in this Paginated Response

Response headers

linkstring
Pagination links
page-numberinteger
Current page of results
per-pageinteger
Number of entries per page
totalinteger
Total entries across all pagess
total-pagesinteger
Number of pages

Response

Paginated projects success response
archive_statusenum
Archival status for this Project
Allowed values:
archived_atstringformat: "date-time"
When a Project was archived
archived_file_countintegerDefaults to 0
archived_storageintegerDefaults to 0
collaborator_countintegerDefaults to 0
deleted_atstringformat: "date-time"
If deleted, when this Project was deleted
descriptionstring
file_countintegerDefaults to 0
folder_countintegerDefaults to 0
idstringformat: "uuid"
ignore_archivebooleanDefaults to false
inserted_atstringformat: "date-time"
When was this Project created
invite_urlstring
namestring
Name of this Project
owner_idstringformat: "uuid"
privatebooleanDefaults to false
project_preferencesobject
read_onlybooleanDefaults to false
root_assetobject

Accepts arbitrary key/value pairs for storing information on an asset

root_asset_idstringformat: "uuid"
sharedbooleanDefaults to false
storageintegerDefaults to 0
teamobject
team_idstringformat: "uuid"
updated_atstringformat: "date-time"
user_permissionsobject
user_preferencesobject
watermarkobject

Errors

401
Unauthorized Error